#ifndef usb_h
#define usb_h

#include "usb\types.h"

#define USB_ENDP_COUNT  1

void USB_SM_Init(void);
void USB_SM_Run(void);

void HIDTxReport(unsigned char* buf, unsigned char len);
void HIDRxReport(unsigned char* buf, unsigned char len);

unsigned char IsHIDTxBusy(void);
unsigned char IsHIDRxBusy(void);
unsigned char GetRxCount(void);

#endif